<div *ngIf="eventForm" [formGroup]="eventForm" class="container mt-4">
  <h2 class="mt-4">Edit Event</h2>
  <div class="row">
    <div class="col-md-6 col-xs-12 ">
      <mat-form-field class="w-100">
        <mat-label>Event Name</mat-label>
        <input matInput [formControlName]="'title'">
      </mat-form-field>
    </div>
    <div class="col-md-6 col-xs-12">
      <mat-form-field class="w-100">
        <mat-label>City</mat-label>
        <input matInput [formControlName]="'city'">
      </mat-form-field>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6 col-xs-12">
      <mat-form-field class="w-100">
        <mat-label>Zip</mat-label>
        <input matInput [formControlName]="'zip'">
      </mat-form-field>
    </div>
    <div class="col-md-6 col-xs-12">
      <mat-form-field class="w-100">
        <mat-label>Country</mat-label>
        <input matInput [formControlName]="'country'">
      </mat-form-field>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6 col-xs-12">
      <mat-form-field class="w-100">
        <mat-label>House number</mat-label>
        <input matInput [formControlName]="'houseNumber'">
      </mat-form-field>
    </div>
    <div class="col-md-6 col-xs-12">
      <mat-form-field class="w-100">
        <mat-label>Is public event</mat-label>
        <mat-select [formControlName]="'isPublic'">
          <mat-option value="true">
            true
          </mat-option>
          <mat-option value="false">
            false
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6 col-xs-12">
      <mat-form-field class="w-100">
        <mat-label>Longitude</mat-label>
        <input matInput [formControlName]="'lon'" (change)="getWeather()">
      </mat-form-field>
    </div>
    <div class="col-md-6 col-xs-12">
      <mat-form-field class="w-100">
        <mat-label>Latitude</mat-label>
        <input matInput [formControlName]="'lat'" (change)="getWeather()">
      </mat-form-field>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6 col-xs-12">
      <mat-form-field class="w-100">
        <mat-label>Choose a date</mat-label>
        <input  matInput type="datetime-local" [formControlName]="'eventDate'" (change)="getWeather()">
      </mat-form-field>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12 ">
      <mat-form-field class="w-100">
        <mat-label>City</mat-label>
        <textarea matInput placeholder="description" [formControlName]="'description'"></textarea>
      </mat-form-field>
    </div>
  </div>
  <div class="row">
    <div class="col-12">
      <div id="divWeatherMain" *ngIf="isWeather">
        <div *ngIf="weatherData.isDay" class="weatherWidgetRow mt-2">
          <mat-icon class="mt-2">wb_sunny</mat-icon>
        </div>
        <div *ngIf="!weatherData.isDay" class="weatherWidgetRow ">
          <mat-icon class="mt-2">brightness_medium</mat-icon>
        </div>
        <div class="weatherWidgetRow mt-2 fs-32">{{weatherData.temp_celcius}}°</div>
        <div class="weatherWidgetRow mt-2 fs-12">{{weatherData.temp_min}}° / {{weatherData.temp_max}}°</div>
      </div>
      <div *ngIf="!isWeather">
        No weather information
      </div>
    </div>
  </div>
  <div class="row d-flex justify-content-end">
    <button mat-raised-button color="accent" (click)="save()">Save</button>
  </div>
</div>
